Subject: Re: bug#48334: No <title> elements in HTML manual pages

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Jul 2022 20:02:26 +0300

> Cc: [email-masked]
> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sat, 02 Jul 2022 18:19:44 +0200
> 
> Maxim Nikulin <[email-masked]> writes:
> 
> >> HTML pages of Emacs manual, e.g.
> >> https://www.gnu.org/software/emacs/manual/html_node/elisp/Motion.html
> >> do not have <title> element.
> > ...
> >> Texinfo manual is not affected, its pages contains reasonable
> >> <title>, e.g.
> >> https://www.gnu.org/software/texinfo/manual/texinfo/html_node/Generating-HTML.html
> >
> > Emacs manual is generated by texi2html, texinfo and e.g. Org mode by
> >     makeinfo --html ...
> > In the latter case pages have <title> element, in the former they do
> > not (at least without some tuning).
> 
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
> 
> These manuals still seem to be missing <title>s.  And texi2html has been
> superseded by texi2any, which should be adding <title> elements
> according to:
> 
> https://www.gnu.org/software/texinfo/manual/texinfo/html_node/HTML-Customization-Variables.html
> 
> Anybody know who's responsible for generating the HTML manuals?  

We are.  See the instructions in admin/make-tarball.txt and the
scripts admin/make-manuals and admin/upload-manuals.

I don't remember if texi2any produces <title>, but the above scripts
modify the HTML produced by texi2any, so what we eventually have is
the result of those scripts.

We could decide dropping admin/make-manuals, or at least the parts
that modify the produced HTML, but presumably those parts were written
for a reason.  Unfortunately, I see no detailed documentation of the
reasons for those changes, so it's hard to decide whether any of them
are still valid, what with Texinfo's progress since the time those
changes were coded.